@import url('https://fonts.googleapis.com/css2?family=Sora:wght@400;600;700&family=DM+Sans:wght@400;500&display=swap');

#cheapestMonthWidget * {
    box-sizing: border-box;
}


#cheapestMonthWidget .cheapest-fly-widget {
    background: #ffffff;
    border-radius: 16px;
    padding: 32px 32px 28px;
    /* max-width: 1100px; */
    margin: auto;
    box-shadow: 0 2px 16px rgba(0,0,0,0.07);
}

#cheapestMonthWidget .widget-heading {
    font-family: 'DM Sans';
    font-size: 26px;
    font-weight: 600;
    color: #242424;
    margin-bottom: 10px;
    line-height: 1.2;
}

#cheapestMonthWidget .widget-description {
    font-size: 20px;
    color: #242424;
    line-height: 1.6;
    margin-bottom: 26px;
    font-family: 'DM Sans';
}

/* .widget-description strong {
    color: #b44b21;
    font-weight: 600;
} */

#cheapestMonthWidget .chart-wrapper {
    position: relative;
}


#cheapestMonthWidget .chart-nav-btn {
    display: none;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 36px;
    height: 36px;
    border-radius: 8px;
    border: none;
    cursor: pointer;
    font-size: 40px;
    align-items: end;
    justify-content: center;
    z-index: 2;
    transition: background 0.2s, opacity 0.2s;
}

#cheapestMonthWidget .chart-nav-btn.prev {
    left: -19px;
    background: #D5D7D7;
    color: #FFFFFF;
}

#cheapestMonthWidget .chart-nav-btn.next {
    right: -22px;
    background: #1a9e9e;
    color: #fff;
}

#cheapestMonthWidget .chart-nav-btn:disabled {
    opacity: 0.4;
    cursor: default;
}

#cheapestMonthWidget .chart-nav-btn.next:disabled {
    background: #D5D7D7;
    color: #FFFFFF;
}


#cheapestMonthWidget .month-chart {
    display: flex;
    align-items: flex-end;      
    justify-content: space-around;
    gap: 18px;
    overflow-x: auto;
    padding-bottom: 4px;
    scrollbar-width: none;
    -ms-overflow-style: none;
    scroll-behavior: smooth;
}

#cheapestMonthWidget .month-chart::-webkit-scrollbar {
    display: none;
}

#cheapestMonthWidget .month-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* flex-shrink: 0; */
    cursor: default;
}


#cheapestMonthWidget .fare-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 8px;
    line-height: 1.2;
    font-family: 'DM Sans', Arial, sans-serif;
}

#cheapestMonthWidget .fare-label {
    font-size: 14px;
    color: #151414;
    font-weight: 500;
}

#cheapestMonthWidget .fare-price {
    font-size: 14px;
    color: #151414;
    font-weight: 500;
}


#cheapestMonthWidget .bar-bg {
    width: 36px;
    height: 250px;
    background: #FFF3EB;     
    border-radius: 6px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: flex-end;      
}


#cheapestMonthWidget .bar-fill {
    width: 100%;
    border-radius: 6px;
    background: linear-gradient(179.8deg, #F9D360 0.17%, #FE5715 75.27%);
    transition: height 0.5s cubic-bezier(0.34, 1.56, 0.64, 1);
}


#cheapestMonthWidget .cheapest-month .bar-fill {
background: linear-gradient(179.8deg, #F4BE1C 0.17%, #D80202 75.27%);
}


#cheapestMonthWidget .month-label {
    margin-top: 8px;
    font-size: 14px;
    color: #151414;
    font-weight: 500;
    font-family: 'DM Sans', Arial, sans-serif;
}


#cheapestMonthWidget .cheapest-month .month-label {
    color: #b44b21;
    font-weight: 600;
}


@media (max-width: 768px) {
   #cheapestMonthWidget .cheapest-fly-widget {
        padding: 22px 16px 20px;
    }

    #cheapestMonthWidget .widget-heading {
        font-size: 18px;
    }

    #cheapestMonthWidget .widget-description {
        font-size: 14px;
        margin-bottom: 24px;
    }

   #cheapestMonthWidget  .month-chart {
         display: flex;
        justify-content: space-between;
        align-items: flex-end;
        gap: 6px;
        overflow-x: hidden;
    }

    #cheapestMonthWidget .month-item {
        flex: 1;                
        min-width: 0;
    }


    #cheapestMonthWidget .bar-bg {
     width: clamp(14px, 6vw, 24px);        
        max-width: 100%;
        height: 186px;          
        margin: 0 auto;
    }

   #cheapestMonthWidget .fare-text {
        font-size: 11px;
         display: flex;
        flex-direction: column;
        align-items: center;
        line-height: 1.2;
        margin-bottom: 6px;
    }
    #cheapestMonthWidget .fare-label {
        font-size: 12px;
        color: #151414;
        font-weight: 500;
    }

    #cheapestMonthWidget .fare-price {
        font-size: 12px;
        font-weight: 500;
        color: #151414;
    }

   #cheapestMonthWidget .month-label {
        font-size: 13px;
        font-weight: 500;
        color: #151414;

    }

   
   #cheapestMonthWidget .chart-nav-btn {
        display: flex;
    }
}